
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>论一款炫酷 Android 开源项目的修炼之路（上） / 憋错料</title>

    <meta name="description" content="论一款炫酷 Android 开源项目的修炼之路（上） 写在前面 在平时的开发过程中,我们经常会查阅很多的资料,最常参考的是 Github 的开源项目.通常在项目的主页面能看到项目的简介和基本使用,并且时不时能看到页面汇中有好多的彩色标签,看起来很酷,很专业,很有逼格,能提升很多的好感度. 前言 本文是一篇很长的文章,其中有很多是素材图片,务必做到每个细节笔者都实践一遍.考虑到大家时间有限,各取所需,所以按照笔者的惯例,首先发布一篇完整版,其次,有一篇缩略版.但本文这次缩略版不好做,所以综合考虑,把每个单独的知识点拆分出来,抓住重点,尽量让大家看的开">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">论一款炫酷 Android 开源项目的修炼之路（上）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h3>写在前面</h3>
<p>在平时的开发过程中，我们经常会查阅很多的资料，最常参考的是 Github 的开源项目。通常在项目的主页面能看到项目的简介和基本使用，并且时不时能看到页面汇中有好多的彩色标签，看起来很酷，很专业，很有逼格，能提升很多的好感度。</p>
<h3>前言</h3>
<p>本文是一篇很长的文章，其中有很多是素材图片，务必做到每个细节笔者都实践一遍。考虑到大家时间有限，各取所需，所以按照笔者的惯例，首先发布一篇完整版，其次，有一篇缩略版。但本文这次缩略版不好做，所以综合考虑，把每个单独的知识点拆分出来，抓住重点，尽量让大家看的开心。</p>
<p><strong>这里需要提醒的是：</strong></p>
<blockquote><p>看了完整版就不用看精简集合了，内容都一样。完整版具有一定的连贯性。</p>
<p>精简版就看的清爽，以便快速查找相关资料和步骤。</p></blockquote>
<p>这里优先汇总下：</p>
<h3>相关链接：</h3>
<p>完整版：</p>
<ul>
<li><a href="http://www.gdky005.com/2017/06/15/%E6%89%93%E9%80%A0%E4%B8%80%E4%B8%AA%E9%AB%98%E9%80%BC%E6%A0%BC%E7%9A%84android%E5%BC%80%E6%BA%90%E9%A1%B9%E7%9B%AE%E2%80%94%E2%80%94%E5%B0%8F%E7%99%BD%E5%85%A8%E6%94%BB%E7%95%A5/" rel="external nofollow noreferrer">打造一个高逼格的android开源项目——小白全攻略</a></li>
</ul>
<p>精简集合版：</p>
<ul>
<li><a href="http://www.gdky005.com/2017/06/15/%E5%BE%BD%E7%AB%A0%E7%B3%BB%E5%88%971%EF%BC%9A-Top-30-android-%E5%BC%80%E6%BA%90%E9%A1%B9%E7%9B%AE%E5%BE%BD%E7%AB%A0/" rel="external nofollow noreferrer">徽章系列1： Top 30 android 开源项目徽章</a></li>
<li><a href="http://www.gdky005.com/2017/06/15/%E5%BE%BD%E7%AB%A0%E7%B3%BB%E5%88%972%EF%BC%9AJitPack-%E7%9A%84%E4%BD%BF%E7%94%A8/" rel="external nofollow noreferrer">徽章系列2：JitPack 的使用</a></li>
<li><a href="http://www.gdky005.com/2017/06/15/%E5%BE%BD%E7%AB%A0%E7%B3%BB%E5%88%973%EF%BC%9A-Travis-CI-%E7%9A%84%E4%BD%BF%E7%94%A8/" rel="external nofollow noreferrer">徽章系列3： Travis CI 的使用</a></li>
<li><a href="http://www.gdky005.com/2017/06/15/%E5%BE%BD%E7%AB%A0%E7%B3%BB%E5%88%974%EF%BC%9A-Circle-CI-%E7%9A%84%E4%BD%BF%E7%94%A8/" rel="external nofollow noreferrer">徽章系列4： Circle CI 的使用</a></li>
<li><a href="http://www.gdky005.com/2017/06/15/%E5%BE%BD%E7%AB%A0%E7%B3%BB%E5%88%975%EF%BC%9A-Codecov-%E7%9A%84%E4%BD%BF%E7%94%A8/" rel="external nofollow noreferrer">徽章系列5： Codecov 的使用</a></li>
<li><a href="http://www.gdky005.com/2017/06/15/%E5%BE%BD%E7%AB%A0%E7%B3%BB%E5%88%976%EF%BC%9A-Api-Level-%E7%9A%84%E4%BD%BF%E7%94%A8/" rel="external nofollow noreferrer">徽章系列6： Api_Level 的使用</a></li>
<li><a href="http://www.gdky005.com/2017/06/15/%E5%BE%BD%E7%AB%A0%E7%B3%BB%E5%88%977%EF%BC%9A-codacy-%E7%9A%84%E4%BD%BF%E7%94%A8/" rel="external nofollow noreferrer">徽章系列7： codacy 的使用</a></li>
<li><a href="http://www.gdky005.com/2017/06/15/%E5%BE%BD%E7%AB%A0%E7%B3%BB%E5%88%978%EF%BC%9A%E7%94%9F%E6%88%90%E4%B8%AA%E6%80%A7%E5%BE%BD%E7%AB%A0/" rel="external nofollow noreferrer">徽章系列8：生成个性徽章</a></li>
</ul>
<p>总分类：</p>
<ul>
<li><a href="http://www.gdky005.com/categories/shields/" rel="external nofollow noreferrer">徽章（shields ）系列文章总分类</a></li>
</ul>
<p>Github 地址：</p>
<ul>
<li>徽章项目 Demo github 地址：<a href="https://github.com/gdky005/AndroidBadge" rel="external nofollow noreferrer">https://github.com/gdky005/AndroidBadge</a></li>
</ul>
<p><strong>正文如下：</strong></p>
<h2>范例</h2>
<p>我们以最流行的 Android 开源项目 <a href="https://github.com/PhilJay/MPAndroidChart" rel="external nofollow noreferrer">MPAndroidChart</a> 为例来看看。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTAucG5n.jpg"></p>
<ol>
<li>前两个蓝色的标签：开始两个蓝色的标签是开源项目主要贡献者 Twitter 的联系方式，点击后可以跳入到 Twitter 的主页，查看该大神动态。</li>
<li>橘色的标签：是国外比较有名的开源项目网站 <a href="https://android-arsenal.com/" rel="external nofollow noreferrer">android-arsenal</a>， 很多开源项目都会在这里找到，有该项目的详细介绍。包含组员，版本号，github 项目基础信息等等。点击后会进入 MPAndroidChart 项目的首页，能看到有好多想知道的，不想知道的各种信息。</li>
<li>release蓝色的标签： 点击后能进入到比较有名的 <a href="https://jitpack.io/#PhilJay/MPAndroidChart" rel="external nofollow noreferrer">jitpack.io</a> 对应的MPAndroidChart 页面，直接获取 MPAndroidChart 的最新版本，也能看到之前的构建历史。下面会重点介绍 jitpack.io 的使用。</li>
<li>绿色的标签： 这个比较有意思，是当前想支持的最低版本，MPAndroidChart的最低版本是 api-8。<br />
点击后会进入到Android 2.2–2.2.3 Froyo (API level 8) 的详细介绍。这个功能是 android-arsenal<br />
 专门提供 开发者使用的。 下面也会有所介绍。</li>
</ol>
<p>下面我们将这些标签称之为徽章 （<a href="https://shields.io/" rel="external nofollow noreferrer">shields</a>）。</p>
<h2>Top 30 Android 开源项目徽章</h2>
<p>我们尝试在 github 里面搜索 以 Android 关键字，开发语言为 java 的开源项目。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTEucG5n.jpg"></p>
<p>统计情况如下：</p>
<ol>
<li>Retrofit 0</li>
<li>okhttp 0</li>
<li>Butter Knife 0</li>
<li>MPAndroidChart 4
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTIucG5n.jpg"></li>
<li>
<p>Android-Universal-Image-Loader 2</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTMucG5n.jpg"></li>
<li>glide 1  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTQucG5n.jpg"></li>
<li>leakcanary 0</li>
<li>EventBus 1  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTUucG5n.jpg"></li>
<li>picasso 0</li>
<li>
<p>zxing 3</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTYucG5n.jpg"></li>
<li>
<p>iosched 0</li>
<li>Fresco 1
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTcucG5n.jpg"></li>
<li>
<p>lottie-android 0</li>
<li>RxAndroid 3  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTgucG5n.jpg"></li>
<li>libgdx 1  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTkucG5n.jpg"></li>
<li>SlidingMenu 0</li>
<li>PhotoView 1  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTEwLnBuZw==.jpg"></li>
<li>android-async-http 1  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTExLnBuZw==.jpg"></li>
<li>material-dialogs 5  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTEyLnBuZw==.jpg"></li>
<li>AndroidUtilCode 0</li>
<li>androidannotations 3  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTEzLnBuZw==.jpg"></li>
<li>Material-Animations 1  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTE0LnBuZw==.jpg"></li>
<li>fastjson 5  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTE1LnBuZw==.jpg"></li>
<li>ViewPagerIndicator 0</li>
<li>plaid 0</li>
<li>PocketHub 1  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTE2LnBuZw==.jpg"></li>
<li>tinker 4  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTE3LnBuZw==.jpg"></li>
<li>Android-CleanArchitecture 2 <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTE4LnBuZw==.jpg"></li>
</ol>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTE5LnBuZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTIwLnBuZw==.jpg"></p>
<p>我们是筛选容器就是<br />
 30个，统计日期：2017年04月27日（随着时间推移，可能略微有变动）。使用标签的有 18个，未使用的有12个。<br />
使用概率大约是：60%。如果筛选容器的范围再大一点可能更多，没有使用徽章的12个项目，可能由于历史原因，或者个人原因未使用，但是不管怎么说，使用徽章的人会越来越多。</p>
<h3>为什么要使用徽章？</h3>
<p>徽章 <a href="https://github.com/badges/shields" rel="external nofollow noreferrer">shields</a></p>
<p>徽章的使用不仅仅是为了装 B，而是为了让开源想更高效。进入项目主页一眼能看出需要的东西，例如该项目能否编译通过，当前最新的版本是什么等。</p>
<p>徽章能突出视野，github 默认给我们展示的是黑白世界，但是通过 徽章，将会得到改变。重要的信息可以一目了然。</p>
<h3>最常用徽章有哪些？</h3>
<p>一份不太靠谱的标准，不过你应该掌握:</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTIxLnBuZw==.jpg"></p>
<p>（PS: 上图中的图标顺序对应下面的顺序）</p>
<ol>
<li>jitpack 徽章：<a href="https://jitpack.io/" rel="external nofollow noreferrer">JitPack</a> 是一个仓库，类似 maven，binary, 主要是帮我们生产 android 项目的 aar or jar 的平台。基于 GitHub，可以很方便将 library 发布到远程，然后可以用 gradle 依赖到任何一个项目中。</li>
<li>travis-ci 徽章：<a href="https://travis-ci.org/" rel="external nofollow noreferrer">Travis-CI</a> 是一个线托管的CI服务，不需要自己搭服务器，在网页上点几下就好，用起来更方便。最重要的是，它对开源项目是免费的。</li>
<li>circle-ci 徽章：<a href="https://circleci.com/" rel="external nofollow noreferrer">Cricle-CI</a> 是也一个线托管的CI服务，和上面相同，不过这个相对来说比较好用一些，可以 SSH 到测试容器，方便在出问题的时候上去调试找原因，界面相对好看一些。</li>
<li>codecov 徽章：<a href="https://codecov.io/" rel="external nofollow noreferrer">Codecov</a> 是开源的测试结果展示平台，将测试结果可视化。Github上许多开源项目都使用了Codecov来展示单测结果。</li>
<li>api level 徽章：<a href="https://android-arsenal.com/api" rel="external nofollow noreferrer">Api-Leavel</a> 是 android-arsenal 网站提供的 android api 展示的徽章。可以在项目主页中直接使用 badge 的内容。</li>
<li>codacy 徽章：编程代码自动审查服务平台。帮助开发者及时发现代码中的 bug，提升软件运行质量，主要包括代码质量、语法规范、功能可用性方面的检查。</li>
<li>个人专属 徽章：<a href="https://shields.io/" rel="external nofollow noreferrer">shiedls</a> 根据自己的需求可以定制很多样式的徽章，全凭个人 爱好，怎么开心怎么玩。</li>
</ol>
<h3>环境说明</h3>
<p>这里我用一个简单的 android 项目来做一个说明，其他语言也是可以的，这里仅仅展示一个实例。</p>
<p>我的本机的android环境说明如下：</p>
<ul>
<li>Mac</li>
<li>Android Studio 2.4 preview 4</li>
<li>gradle: 3.4.1</li>
<li>java: 1.8.0_73</li>
<li>buildToolsVersion: 25.0.2</li>
<li>compileSdkVersion: 25</li>
<li>minSdkVersion: 14</li>
<li>support: appcompat-v7:25.1.0</li>
<li>constraint: constraint-layout:1.0.0-beta4</li>
<li>classpath: com.android.tools.build:gradle:2.4.0-alpha4</li>
</ul>
<p>用其他版本或者环境也是可以的, 这里只是说明。 如果任何遇到问题，可以在我的<a href="http://www.gdky005.com/about/" rel="external nofollow noreferrer">博客</a>里面留言。</p>
<h3>JitPack 的使用</h3>
<p>官网： <a href="https://jitpack.io/" rel="external nofollow noreferrer">https://jitpack.io</a></p>
<h5>创建 Android Library</h5>
<p>1.在 AS 中创建标准的 android 项目：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTIyLnBuZw==.jpg"></p>
<p>2.创建 Library：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTIzLnBuZw==.jpg"> <img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTI0LnBuZw==.jpg"> <img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTI1LnBuZw==.jpg"></p>
<h5>配置相关文件</h5>
<p>进入 <a href="https://jitpack.io/docs/ANDROID/" rel="external nofollow noreferrer">jitpack android</a> 可以看到 jitpack 为我们提供的文档帮助。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTI2LnBuZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTI3LnBuZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTI4LnBuZw==.jpg"></p>
<p>对应官网中说的 『group=’com.github.YourUsername’』， 其实可以不写，写不写都会自动生成。 即使你写成了别的，最终还是以这样的格式输出。</p>
<p>AndroidBadge 中 的 build.gradle :</p>
<pre><code>classpath ‘com.github.dcendents:android-maven-gradle-plugin:1.5‘ // Add this line
</code></pre>
<p>AndroidBadge 里面的 badge (library) :</p>
<pre><code>apply plugin: ‘com.github.dcendents.android-maven‘
</code></pre>
<h5>发布到 Github （这里直接展示 AS 中的界面图形操作，会命令行的同学随意）</h5>
<ol>
<li>登录自己的 github 账号，然后创建一个 项目，在首页右边能看到：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTI5LnBuZw==.jpg"></li>
<li>
<p>点击 大绿色 按钮，并填写信息：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTMwLnBuZw==.jpg"></p>
<p>那个协议，你们随意，这里只是演示。</li>
<li>
<p>创建成功后：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTMxLnBuZw==.jpg"></p>
<p>拷贝当前项目地址。</li>
<li>
<p>在 AS 的项目中创建 git 仓库：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTMyLnBuZw==.jpg"></p>
<p>点击后，直接 选择 ok。将项目添加到 git 管理<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTMzLnBuZw==.jpg">。 项目中的文件都变成绿色后：<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTM0LnBuZw==.jpg">，耐心等待完成后， 本地项目已经被 git 管理起来了，然后把代码提交到 github 即可。可能会有冲突，自行解决即可。</li>
<li>
<p>现在我们给 library 的 badge 项目添加一个工具类：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTM1LnBuZw==.jpg"></p>
<p>并提交到 github。</li>
</ol>
<h5>Github 打 release or tag</h5>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTM2LnBuZw==.jpg"> <img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTM3LnBuZw==.jpg"></p>
<p>创建第一个 release 分支：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTM4LnBuZw==.jpg"></p>
<p>发布成功以后就能看到:</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTM5LnBuZw==.jpg"></p>
<p>一般用 release 就可以了， 在适当的时候 用  tag。</p>
<h5>在 JitPack 上生成 aar</h5>
<ol>
<li>进入 <a href="https://jitpack.io/" rel="external nofollow noreferrer">https://jitpack.io/</a>。</li>
<li>将 github 的项目地址： <a href="https://github.com/gdky005/AndroidBadge" rel="external nofollow noreferrer">https://github.com/gdky005/AndroidBadge</a>， 直接拷贝 到 jitpack 网页中的文本框中。 <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTQwLnBuZw==.jpg"></li>
<li>点击 Look Up 后：
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTQxLnBuZw==.jpg"></p>
<p>等里面的那个圈圈 转完 以后，出现 绿色的这个： <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTQyLnBuZw==.jpg"></p>
<p>说明已经发布 aar 成功，那么我们 可以直接使用了。 如果点开这个东西，会看到编译的和发布的过程。 <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTQzLnBuZw==.jpg"></li>
<li>
<p>如果是红色的，说明有错误，点开查看，修改后重新构建。</li>
</ol>
<h5>在 app Demo 中测试是否生效</h5>
<p>点击 get 后，能看到：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTQ0LnBuZw==.jpg"></p>
<ol>
<li>给项目根目录下的 build.gradle 添加：</li>
</ol>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTQ1LnBuZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTQ2LnBuZw==.jpg"></p>
<p>AndroidBadge 中 的 build.gradle :</p>
<pre><code>maven { url ‘https://jitpack.io‘ }
</code></pre>
<p>AndroidBadge 里面的 app 的 build.gradle :</p>
<pre><code>compile ‘com.github.gdky005:AndroidBadge:v1.0.0‘
</code></pre>
<p>好的，现在我们已经添加成功了，在 MainActivity 里面是是吧，看能否调到之前在 library 里面的写的 Utils.getVersion()。很高兴的是我们调出来了：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTQ3LnBuZw==.jpg"></p>
<p>在项目的最底下也能看到：  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTQ4LnBuZw==.jpg"></p>
<p>运行 app 项目： <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTQ5LnBuZw==.jpg"></p>
<h5>问题来了，我们修改library 后也能调用到吗？</h5>
<p>让咱们一起试试吧：</p>
<ol>
<li>修改 badge 项目中的 1.0.0 为  1.0.1 ： <br /> <img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTUwLnBuZw==.jpg">。</li>
<li>提交代码后，push 到 github。 提交成功以后，我们重复上面的打 release 步骤 <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTUxLnBuZw==.jpg">, <img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTUyLnBuZw==.jpg">, <img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTUzLnBuZw==.jpg"></li>
<li>然后再去 jitpack 上看看： <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTU0LnBuZw==.jpg"> 多了一个 v1.0.1, 点击 get 吧。 <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTU1LnBuZw==.jpg"> <img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTU2LnBuZw==.jpg"> <img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTU3LnBuZw==.jpg"></li>
<li>发布成功后，我们去 app 里面试试。  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTU4LnBuZw==.jpg"></li>
<li>同步后，直接运行 app。非常好，我们的修改的东西已经变了： <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTU5LnBuZw==.jpg">。</li>
</ol>
<p>至此， jitpack 基本也差不多了，但是貌似缺少了最重要的一点吧。</p>
<h5>jitpack 的徽章怎么弄</h5>
<p>还是在刚刚的 jitpack 界面，只是我们把 页面拉倒底部。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTYwLnBuZw==.jpg"></p>
<p>点击后： <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTYxLnBuZw==.jpg"></p>
<p>是不是看到了熟悉的 md 文档的格式呢？ 看不懂也没关系，下面会专门讲解。</p>
<ol>
<li>拷贝内容： <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTYyLnBuZw==.jpg"></li>
<li>打开 github 的 AndroidBridge 项目： <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTYzLnBuZw==.jpg">，点击该文件。</li>
<li>让我们在线编辑下：  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTY0LnBuZw==.jpg"></li>
<li>给 github 中的 这个 readme.md 文件添加点东西吧。 <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTY1LnBuZw==.jpg"></li>
<li>让我们 保存下。  <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTY2LnBuZw==.jpg"></li>
<li>然后回到项目<a href="https://github.com/gdky005/AndroidBadge" rel="external nofollow noreferrer">首页</a>看看： <br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hsY25vLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tL2diZy9rYWl5dWFuL21kL2diZy1rYWl5dWFuLW1kLTY3LnBuZw==.jpg"></li>
</ol>
<p>棒棒的，添加成功。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 00:17:46 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/title/" title="title">title</a>, <a href="https://www.biecuoliao.com/tag/ade/" title="ade">ade</a>, <a href="https://www.biecuoliao.com/tag/git/" title="git">git</a>, <a href="https://www.biecuoliao.com/tag/lease/" title="lease">lease</a>, <a href="https://www.biecuoliao.com/tag/dia/" title="dia">dia</a>, <a href="https://www.biecuoliao.com/tag/%e5%8f%af%e8%a7%86%e5%8c%96/" title="可视化">可视化</a>, <a href="https://www.biecuoliao.com/tag/5-0/" title="5&period;0">5&period;0</a>, <a href="https://www.biecuoliao.com/tag/%e5%b7%a5%e5%85%b7%e7%b1%bb/" title="工具类">工具类</a>, <a href="https://www.biecuoliao.com/tag/material/" title="material">material</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>论一款炫酷 Android 开源项目的修炼之路（上）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXqBPG0.html" rel="bookmark">论一款炫酷 Android 开源项目的修炼之路（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Travis CI 的使用 官网: http://travis-ci.org/ ps: 这个是公开的,如果需要使用私有的,请使用 .com 域名. 需要提醒的是:每次提交代码后都会重新下载需要的资源文件哦,所以时间很长,耐心等待吧. TravisCI 有什么用? travis-ci 就是 自动化 CI 工具,类似于大公司经常使用的 Jenkins,但是 travis-ci 是在云端的,而是支持 github, 还免费,我们可以 用 travis-ci 做很多的事情,不仅仅是 编译看 项目有没有问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02bRvz0.html" rel="bookmark">GitHub上最火的74个Android开源项目（收藏）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GitHub上最火的40个Android开源项目(一) GitHub上最火的40个Android开源项目(二) GitHub上最火的74个Android开源项目(三) GitHub上最火的40个iOS开源项目(一) GitHub上最火的40个iOS开源项目(二) GitHub在中国的火爆程度无需多言,越来越多的开源项目迁移到GitHub平台上.更何况,基于不要重复造轮子的原则,了解当下比较流行的Android与iOS开源项目很是必要.利用这些项目,有时能够让你达到事半功倍的效果. 下面,就让我们			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MENQ7P0.html" rel="bookmark">android 开源项目GuillotineMenu，酷炫的铡刀菜单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开源项目GuillotineMenu使用指南 先上效果图: IDE使用的是Android studio. 首先下载GuillotineMenu项目的library引用到项目中,下载地址: http://download.csdn.net/detail/u012027644/8840527 guillotine.xml:这个XML是菜单的布局 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayout x			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lXXgN0.html" rel="bookmark">Android开源项目总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android经典的开源项目其实非常多,把自己熟悉的一些开源项目整理起来,希望能对Android开发同学们有所帮助 项目篇: 1.Apollo音乐播放器 就一个很好的播放器,但是实现的特别好!!! 地址:https://github.com/Splitter/android_packages_apps_apolloMod 2.Oschina客户端 OSChina网站客户端,wp版,ios版都有开源哦. 地址: https://github.com/oschina/android-app 3.Xa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoojBBM.html" rel="bookmark">Android开源项目及库搜集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TimLiu-Android 自己总结的Android开源项目及库. github排名 https://github.com/trending,github搜索:https://github.com/search 目录 UI 卫星菜单 节选器 下拉刷新 模糊效果 HUD与Toast 进度条 UI其它 动画 网络相关 响应式编程 地图 数据库 图像浏览及处理 视频音频处理 测试及调试 动态更新热更新 消息推送 完整项目 插件 出名框架 其他 好的文章 收集android上开源的酷炫的交互动画和视觉			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AKoNy0.html" rel="bookmark">59&period;Android开源项目及库 &lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载 : https://github.com/Tim9Liu9/TimLiu-Android?hmsr=toutiao.io&amp;utm_medium=toutiao.io&amp;utm_source=toutiao.io#%E5%8D%AB%E6%98%9F%E8%8F%9C%E5%8D%95 目录 UI UI 卫星菜单 节选器 下拉刷新 模糊效果 HUD与Toast 进度条 UI其它 动画 网络相关 响应式编程 地图 数据库 图像浏览及处理 视频音频处理 测试及调试 动态更新热更新 消息推送			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZKdQm4.html" rel="bookmark">66&period;Android 开源项目分类汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载:https://github.com/Trinea/android-open-project 目前包括: Android 开源项目第一篇——个性化控件(View)篇  包括ListView.ActionBar.Menu.ViewPager.Gallery.GridView.ImageView.ProgressBar.TextView.ScrollView.TimeView.TipView.FlipView.ColorPickView.GraphView.UI Style.其他Android			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/XMm91BM.html" rel="bookmark">优秀的 Android 开源项目</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要  转载http://www.trinea.cn/android/android-open-source-projects-view/,方便大家找到自己合适的资料 目录[-] 一.ListView 二.ActionBar 三.Menu 四.ViewPager .Gallery 五.GridView 六.ImageView 七.ProgressBar 八.其他 GitHub上优秀Android开源项目 3. Android开发神器 1.Xabber客户端 2.oschina客户端 3.手机安全			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/7MV6PdM.html" rel="bookmark">GitHub 优秀的 Android 开源项目</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/shulianghan/article/details/18046021 主要介绍那些不错个性化的View,包含ListView.ActionBar.Menu.ViewPager.Gallery.GridView.ImageView.ProgressBar及其它如Dialog.Toast.EditText.TableView.Activity Animation等等. 一.ListView android-pulltorefresh 一个强大的拉动			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4pGng3.html" rel="bookmark" class="title">javascript中如何让两个radio同时只能选中一个</a>
					<div>
						&lt;html&gt; &lt;head&gt; &lt;title&gt;测试&lt;/title&gt; &lt;/head&gt; &lt;body leftmargin=&quot;0&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZmvn3.html" rel="bookmark" class="title">VirtualBox 配置虚拟网卡&lpar;桥接&rpar;&comma;实现主机-虚拟机网络互通</a>
					<div>
						记录下VirtualBox 配置虚拟网卡(桥接),实现主机-虚拟机网络互通过程,网上搜出来的比较乱,讲的不明不白,因此根据自己弄过一次,确认可行的方式,做个备份,方便日后查阅. 环境: 在Oracle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O77lg3.html" rel="bookmark" class="title">Codeforces 543D Road Improvement 树形dp</a>
					<div>
						题目链接:点击打开链接 题意: 给定n个点的树 问: 对于以i为根时,把树边黑白染色,使得任意点走到根的路径上不超过一条黑边,输出染色的方案数(mod 1e9+7) 思路: 显然i点的方案数 = i为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rED1b0.html" rel="bookmark" class="title">因子分析&lpar;Factor analysis&rpar;</a>
					<div>
						1.引言 在高斯混合和EM算法中,我们运用EM算法拟合混合模型,但是我们得考虑得需要多少的样本数据才能准确识别出数据中的多个高斯模型!看下面两种情况的分析: 第一种情况假如有 m 个样本,每个样本的维 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jzp5Q4.html" rel="bookmark" class="title">Windows中使用MySQL 批处理（五）</a>
					<div>
						一.如何批量执行语句 1.将脚本存成一个脚本文件,比如company.sql 2.执行命令 mysql -h 主机 -u 用户名 -p &lt;d:\dbdata\company.sql Enter  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLjyzO3.html" rel="bookmark" class="title">一个简单的 ASP&period;NET MVC 例子演示如何在 Knockout JS 的配合下，使用 TypeScript &NewLine;。</a>
					<div>
						前言 TypeScript 是一种由微软开发的自由和开源的编程语言.它是JavaScript的一个超集,而且本质上向这个语言添加了可选的静态类型和基于类的面向对象编程.安德斯·海尔斯伯格,C#的首席架 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP8nrvM.html" rel="bookmark" class="title">【百度之星2014~复赛）解题报告】The Query on the Tree</a>
					<div>
						声明 笔者最近意外的发现 笔者的个人网站http://tiankonguse.com/ 的很多文章被其它网站转载,但是转载时未声明文章来源或参考自 http://tiankonguse.com/ 网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jXnPo4.html" rel="bookmark" class="title">linux下的mysql安装</a>
					<div>
						1.下载安装包 http://dev.mysql.com/downloads/mysql/#downloads 推荐下载通用安装方法的TAR包(http://cdn.mysql.com//Downlo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Kq9JY4.html" rel="bookmark" class="title">给定两个整形变量的值，将两个值的内容进行交换。</a>
					<div>
						#include &lt;stdio.h&gt;int main(){ int a=1,b=2,t; t=a; a=b; b=t; printf(&quot;a,b交换前:&quot;); print ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ONJpP0.html" rel="bookmark" class="title">小小成就感</a>
					<div>
						之前就像试试怎么做网站,刚好有一个不错的主题.所以我就在网上搜索教程. 发现了主机屋这个网站.花了一点时间注册.查看一些教程.最后我就成功了 1.中间遇到一个问题,我上传的网站显示不出来,我怀疑是他那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZaqzM.html" rel="bookmark" class="title">centos主机信任</a>
					<div>
						一.实现原理 使用一种被称为&quot;公私钥&quot;认证的方式来进行ssh登录.&quot;公私钥&quot;认证方式简单的解释是: 首先在客户端上创建一对公私钥(公钥文件:~/.ssh/id_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wWYo13.html" rel="bookmark" class="title">dev c&plus;&plus; Boost库的安装</a>
					<div>
						dev c++ 的boost库的安装步骤 然后点击“check for updates”按钮 最后点击“Download selected”按钮,下载完成后安装.... 给dev添加boost库文件, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGpZOZ0.html" rel="bookmark" class="title">脏数据</a>
					<div>
						从广义上看,脏数据是指没有进行过数据预处理而直接接收到的.处于原始状态的数据: 从狭义上看,是不符合研究要求,以及不能够对其直接进行相应的数据分析. 脏数据依据不同的分析目的有不同的定义,如在常见的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wjZXj0.html" rel="bookmark" class="title">腾讯云主机ubuntu搭建tomcat</a>
					<div>
						转载请注明原文地址:http://www.cnblogs.com/ygj0930/p/6377945.html 一:工具准备 Putty+Xftp5,见上一篇博文:http://www.cnblogs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qxw6z0.html" rel="bookmark" class="title">ElasticSearch logo  分布式搜索引擎 ElasticSearch</a>
					<div>
						原文来自:http://www.oschina.net/p/elasticsearch Elastic Search 是一个基于Lucene构建的开源,分布式,RESTful搜索引擎.设计用于云计算中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME6lBD0.html" rel="bookmark" class="title">全局CSS设置</a>
					<div>
						全局CSS设置 1.清除所有的标记的内外边距 body,ul,li,a,img,p,input{ margin:0; padding:0; } 2.去除项目符号或编号前面的符号 ul,ol,li{ l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLR9RQ3.html" rel="bookmark" class="title">Android的手势的保存</a>
					<div>
						对手势感到好奇从网上学习了一部分. 保存: 在xml中添加手势绘制即类似画板可以绘制手势的:  &lt;android.gesture.GestureOverlayView         andro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QaX5Q4.html" rel="bookmark" class="title">PHP实验2</a>
					<div>
						1.输出下列语句地结果 &lt;?php // while语句应用 $i = 1; while ( $i &lt;= 20) { echo $i; if ( $i &lt; 10 ) echo &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aGOZR4.html" rel="bookmark" class="title">寒城攻略：Listo 教你 25 天学会 Swift 语言 － 25 Listo&amp;&num;39&semi;s Conclusion</a>
					<div>
						import Foundation //******************************************************************************** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyoPlE3.html" rel="bookmark" class="title">jquery实现静态html文件的include嵌入效果</a>
					<div>
						//引入jQuery的js 建立footer.html,内容为要嵌入的内容. 在需要嵌入的页面中加入: $.get(&quot;footer.html&quot;,function(data){ $( ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
